/** An enumeration. */
var AccountErrorCode;
(function (AccountErrorCode) {
    AccountErrorCode["ActivateOwnAccount"] = "ACTIVATE_OWN_ACCOUNT";
    AccountErrorCode["ActivateSuperuserAccount"] = "ACTIVATE_SUPERUSER_ACCOUNT";
    AccountErrorCode["DuplicatedInputItem"] = "DUPLICATED_INPUT_ITEM";
    AccountErrorCode["DeactivateOwnAccount"] = "DEACTIVATE_OWN_ACCOUNT";
    AccountErrorCode["DeactivateSuperuserAccount"] = "DEACTIVATE_SUPERUSER_ACCOUNT";
    AccountErrorCode["DeleteNonStaffUser"] = "DELETE_NON_STAFF_USER";
    AccountErrorCode["DeleteOwnAccount"] = "DELETE_OWN_ACCOUNT";
    AccountErrorCode["DeleteStaffAccount"] = "DELETE_STAFF_ACCOUNT";
    AccountErrorCode["DeleteSuperuserAccount"] = "DELETE_SUPERUSER_ACCOUNT";
    AccountErrorCode["GraphqlError"] = "GRAPHQL_ERROR";
    AccountErrorCode["Invalid"] = "INVALID";
    AccountErrorCode["InvalidPassword"] = "INVALID_PASSWORD";
    AccountErrorCode["LeftNotManageablePermission"] = "LEFT_NOT_MANAGEABLE_PERMISSION";
    AccountErrorCode["InvalidCredentials"] = "INVALID_CREDENTIALS";
    AccountErrorCode["NotFound"] = "NOT_FOUND";
    AccountErrorCode["OutOfScopeServiceAccount"] = "OUT_OF_SCOPE_SERVICE_ACCOUNT";
    AccountErrorCode["OutOfScopeUser"] = "OUT_OF_SCOPE_USER";
    AccountErrorCode["OutOfScopeGroup"] = "OUT_OF_SCOPE_GROUP";
    AccountErrorCode["OutOfScopePermission"] = "OUT_OF_SCOPE_PERMISSION";
    AccountErrorCode["PasswordEntirelyNumeric"] = "PASSWORD_ENTIRELY_NUMERIC";
    AccountErrorCode["PasswordTooCommon"] = "PASSWORD_TOO_COMMON";
    AccountErrorCode["PasswordTooShort"] = "PASSWORD_TOO_SHORT";
    AccountErrorCode["PasswordTooSimilar"] = "PASSWORD_TOO_SIMILAR";
    AccountErrorCode["Required"] = "REQUIRED";
    AccountErrorCode["Unique"] = "UNIQUE";
    AccountErrorCode["JwtSignatureExpired"] = "JWT_SIGNATURE_EXPIRED";
    AccountErrorCode["JwtInvalidToken"] = "JWT_INVALID_TOKEN";
    AccountErrorCode["JwtDecodeError"] = "JWT_DECODE_ERROR";
    AccountErrorCode["JwtMissingToken"] = "JWT_MISSING_TOKEN";
    AccountErrorCode["JwtInvalidCsrfToken"] = "JWT_INVALID_CSRF_TOKEN";
})(AccountErrorCode || (AccountErrorCode = {}));
/** An enumeration. */
var AddressTypeEnum;
(function (AddressTypeEnum) {
    AddressTypeEnum["Billing"] = "BILLING";
    AddressTypeEnum["Shipping"] = "SHIPPING";
})(AddressTypeEnum || (AddressTypeEnum = {}));
/** An enumeration. */
var AppErrorCode;
(function (AppErrorCode) {
    AppErrorCode["Forbidden"] = "FORBIDDEN";
    AppErrorCode["GraphqlError"] = "GRAPHQL_ERROR";
    AppErrorCode["Invalid"] = "INVALID";
    AppErrorCode["InvalidStatus"] = "INVALID_STATUS";
    AppErrorCode["InvalidPermission"] = "INVALID_PERMISSION";
    AppErrorCode["InvalidUrlFormat"] = "INVALID_URL_FORMAT";
    AppErrorCode["InvalidManifestFormat"] = "INVALID_MANIFEST_FORMAT";
    AppErrorCode["ManifestUrlCantConnect"] = "MANIFEST_URL_CANT_CONNECT";
    AppErrorCode["NotFound"] = "NOT_FOUND";
    AppErrorCode["Required"] = "REQUIRED";
    AppErrorCode["Unique"] = "UNIQUE";
    AppErrorCode["OutOfScopeApp"] = "OUT_OF_SCOPE_APP";
    AppErrorCode["OutOfScopePermission"] = "OUT_OF_SCOPE_PERMISSION";
})(AppErrorCode || (AppErrorCode = {}));
var AppSortField;
(function (AppSortField) {
    /** Sort apps by name. */
    AppSortField["Name"] = "NAME";
    /** Sort apps by creation date. */
    AppSortField["CreationDate"] = "CREATION_DATE";
})(AppSortField || (AppSortField = {}));
/** An enumeration. */
var AppTypeEnum;
(function (AppTypeEnum) {
    AppTypeEnum["Local"] = "LOCAL";
    AppTypeEnum["Thirdparty"] = "THIRDPARTY";
})(AppTypeEnum || (AppTypeEnum = {}));
/** An enumeration. */
var AttributeInputTypeEnum;
(function (AttributeInputTypeEnum) {
    AttributeInputTypeEnum["Dropdown"] = "DROPDOWN";
    AttributeInputTypeEnum["Multiselect"] = "MULTISELECT";
})(AttributeInputTypeEnum || (AttributeInputTypeEnum = {}));
var AttributeSortField;
(function (AttributeSortField) {
    /** Sort attributes by name */
    AttributeSortField["Name"] = "NAME";
    /** Sort attributes by slug */
    AttributeSortField["Slug"] = "SLUG";
    /** Sort attributes by the value required flag */
    AttributeSortField["ValueRequired"] = "VALUE_REQUIRED";
    /** Sort attributes by the variant only flag */
    AttributeSortField["IsVariantOnly"] = "IS_VARIANT_ONLY";
    /** Sort attributes by visibility in the storefront */
    AttributeSortField["VisibleInStorefront"] = "VISIBLE_IN_STOREFRONT";
    /** Sort attributes by the filterable in storefront flag */
    AttributeSortField["FilterableInStorefront"] = "FILTERABLE_IN_STOREFRONT";
    /** Sort attributes by the filterable in dashboard flag */
    AttributeSortField["FilterableInDashboard"] = "FILTERABLE_IN_DASHBOARD";
    /** Sort attributes by their position in storefront */
    AttributeSortField["StorefrontSearchPosition"] = "STOREFRONT_SEARCH_POSITION";
    /** Sort attributes based on whether they can be displayed or not in a product grid. */
    AttributeSortField["AvailableInGrid"] = "AVAILABLE_IN_GRID";
})(AttributeSortField || (AttributeSortField = {}));
var AttributeTypeEnum;
(function (AttributeTypeEnum) {
    AttributeTypeEnum["Product"] = "PRODUCT";
    AttributeTypeEnum["Variant"] = "VARIANT";
})(AttributeTypeEnum || (AttributeTypeEnum = {}));
var AttributeValueType;
(function (AttributeValueType) {
    AttributeValueType["Color"] = "COLOR";
    AttributeValueType["Gradient"] = "GRADIENT";
    AttributeValueType["Url"] = "URL";
    AttributeValueType["String"] = "STRING";
})(AttributeValueType || (AttributeValueType = {}));
/** An enumeration. */
var AuthorizationKeyType;
(function (AuthorizationKeyType) {
    AuthorizationKeyType["Facebook"] = "FACEBOOK";
    AuthorizationKeyType["GoogleOauth2"] = "GOOGLE_OAUTH2";
})(AuthorizationKeyType || (AuthorizationKeyType = {}));
var CategorySortField;
(function (CategorySortField) {
    /** Sort categories by name. */
    CategorySortField["Name"] = "NAME";
    /** Sort categories by product count. */
    CategorySortField["ProductCount"] = "PRODUCT_COUNT";
    /** Sort categories by subcategory count. */
    CategorySortField["SubcategoryCount"] = "SUBCATEGORY_COUNT";
})(CategorySortField || (CategorySortField = {}));
/** An enumeration. */
var CheckoutErrorCode;
(function (CheckoutErrorCode) {
    CheckoutErrorCode["BillingAddressNotSet"] = "BILLING_ADDRESS_NOT_SET";
    CheckoutErrorCode["CheckoutNotFullyPaid"] = "CHECKOUT_NOT_FULLY_PAID";
    CheckoutErrorCode["GraphqlError"] = "GRAPHQL_ERROR";
    CheckoutErrorCode["ProductNotPublished"] = "PRODUCT_NOT_PUBLISHED";
    CheckoutErrorCode["ProductUnavailableForPurchase"] = "PRODUCT_UNAVAILABLE_FOR_PURCHASE";
    CheckoutErrorCode["InsufficientStock"] = "INSUFFICIENT_STOCK";
    CheckoutErrorCode["Invalid"] = "INVALID";
    CheckoutErrorCode["InvalidShippingMethod"] = "INVALID_SHIPPING_METHOD";
    CheckoutErrorCode["NotFound"] = "NOT_FOUND";
    CheckoutErrorCode["PaymentError"] = "PAYMENT_ERROR";
    CheckoutErrorCode["QuantityGreaterThanLimit"] = "QUANTITY_GREATER_THAN_LIMIT";
    CheckoutErrorCode["Required"] = "REQUIRED";
    CheckoutErrorCode["ShippingAddressNotSet"] = "SHIPPING_ADDRESS_NOT_SET";
    CheckoutErrorCode["ShippingMethodNotApplicable"] = "SHIPPING_METHOD_NOT_APPLICABLE";
    CheckoutErrorCode["ShippingMethodNotSet"] = "SHIPPING_METHOD_NOT_SET";
    CheckoutErrorCode["ShippingNotRequired"] = "SHIPPING_NOT_REQUIRED";
    CheckoutErrorCode["TaxError"] = "TAX_ERROR";
    CheckoutErrorCode["Unique"] = "UNIQUE";
    CheckoutErrorCode["VoucherNotApplicable"] = "VOUCHER_NOT_APPLICABLE";
    CheckoutErrorCode["ZeroQuantity"] = "ZERO_QUANTITY";
})(CheckoutErrorCode || (CheckoutErrorCode = {}));
var CollectionPublished;
(function (CollectionPublished) {
    CollectionPublished["Published"] = "PUBLISHED";
    CollectionPublished["Hidden"] = "HIDDEN";
})(CollectionPublished || (CollectionPublished = {}));
var CollectionSortField;
(function (CollectionSortField) {
    /** Sort collections by name. */
    CollectionSortField["Name"] = "NAME";
    /** Sort collections by availability. */
    CollectionSortField["Availability"] = "AVAILABILITY";
    /** Sort collections by product count. */
    CollectionSortField["ProductCount"] = "PRODUCT_COUNT";
    /** Sort collections by publication date. */
    CollectionSortField["PublicationDate"] = "PUBLICATION_DATE";
})(CollectionSortField || (CollectionSortField = {}));
/** An enumeration. */
var ConfigurationTypeFieldEnum;
(function (ConfigurationTypeFieldEnum) {
    ConfigurationTypeFieldEnum["String"] = "STRING";
    ConfigurationTypeFieldEnum["Boolean"] = "BOOLEAN";
    ConfigurationTypeFieldEnum["Secret"] = "SECRET";
    ConfigurationTypeFieldEnum["Password"] = "PASSWORD";
    ConfigurationTypeFieldEnum["Secretmultiline"] = "SECRETMULTILINE";
})(ConfigurationTypeFieldEnum || (ConfigurationTypeFieldEnum = {}));
/** An enumeration. */
var CountryCode;
(function (CountryCode) {
    CountryCode["Af"] = "AF";
    CountryCode["Ax"] = "AX";
    CountryCode["Al"] = "AL";
    CountryCode["Dz"] = "DZ";
    CountryCode["As"] = "AS";
    CountryCode["Ad"] = "AD";
    CountryCode["Ao"] = "AO";
    CountryCode["Ai"] = "AI";
    CountryCode["Aq"] = "AQ";
    CountryCode["Ag"] = "AG";
    CountryCode["Ar"] = "AR";
    CountryCode["Am"] = "AM";
    CountryCode["Aw"] = "AW";
    CountryCode["Au"] = "AU";
    CountryCode["At"] = "AT";
    CountryCode["Az"] = "AZ";
    CountryCode["Bs"] = "BS";
    CountryCode["Bh"] = "BH";
    CountryCode["Bd"] = "BD";
    CountryCode["Bb"] = "BB";
    CountryCode["By"] = "BY";
    CountryCode["Be"] = "BE";
    CountryCode["Bz"] = "BZ";
    CountryCode["Bj"] = "BJ";
    CountryCode["Bm"] = "BM";
    CountryCode["Bt"] = "BT";
    CountryCode["Bo"] = "BO";
    CountryCode["Bq"] = "BQ";
    CountryCode["Ba"] = "BA";
    CountryCode["Bw"] = "BW";
    CountryCode["Bv"] = "BV";
    CountryCode["Br"] = "BR";
    CountryCode["Io"] = "IO";
    CountryCode["Bn"] = "BN";
    CountryCode["Bg"] = "BG";
    CountryCode["Bf"] = "BF";
    CountryCode["Bi"] = "BI";
    CountryCode["Cv"] = "CV";
    CountryCode["Kh"] = "KH";
    CountryCode["Cm"] = "CM";
    CountryCode["Ca"] = "CA";
    CountryCode["Ky"] = "KY";
    CountryCode["Cf"] = "CF";
    CountryCode["Td"] = "TD";
    CountryCode["Cl"] = "CL";
    CountryCode["Cn"] = "CN";
    CountryCode["Cx"] = "CX";
    CountryCode["Cc"] = "CC";
    CountryCode["Co"] = "CO";
    CountryCode["Km"] = "KM";
    CountryCode["Cg"] = "CG";
    CountryCode["Cd"] = "CD";
    CountryCode["Ck"] = "CK";
    CountryCode["Cr"] = "CR";
    CountryCode["Ci"] = "CI";
    CountryCode["Hr"] = "HR";
    CountryCode["Cu"] = "CU";
    CountryCode["Cw"] = "CW";
    CountryCode["Cy"] = "CY";
    CountryCode["Cz"] = "CZ";
    CountryCode["Dk"] = "DK";
    CountryCode["Dj"] = "DJ";
    CountryCode["Dm"] = "DM";
    CountryCode["Do"] = "DO";
    CountryCode["Ec"] = "EC";
    CountryCode["Eg"] = "EG";
    CountryCode["Sv"] = "SV";
    CountryCode["Gq"] = "GQ";
    CountryCode["Er"] = "ER";
    CountryCode["Ee"] = "EE";
    CountryCode["Sz"] = "SZ";
    CountryCode["Et"] = "ET";
    CountryCode["Eu"] = "EU";
    CountryCode["Fk"] = "FK";
    CountryCode["Fo"] = "FO";
    CountryCode["Fj"] = "FJ";
    CountryCode["Fi"] = "FI";
    CountryCode["Fr"] = "FR";
    CountryCode["Gf"] = "GF";
    CountryCode["Pf"] = "PF";
    CountryCode["Tf"] = "TF";
    CountryCode["Ga"] = "GA";
    CountryCode["Gm"] = "GM";
    CountryCode["Ge"] = "GE";
    CountryCode["De"] = "DE";
    CountryCode["Gh"] = "GH";
    CountryCode["Gi"] = "GI";
    CountryCode["Gr"] = "GR";
    CountryCode["Gl"] = "GL";
    CountryCode["Gd"] = "GD";
    CountryCode["Gp"] = "GP";
    CountryCode["Gu"] = "GU";
    CountryCode["Gt"] = "GT";
    CountryCode["Gg"] = "GG";
    CountryCode["Gn"] = "GN";
    CountryCode["Gw"] = "GW";
    CountryCode["Gy"] = "GY";
    CountryCode["Ht"] = "HT";
    CountryCode["Hm"] = "HM";
    CountryCode["Va"] = "VA";
    CountryCode["Hn"] = "HN";
    CountryCode["Hk"] = "HK";
    CountryCode["Hu"] = "HU";
    CountryCode["Is"] = "IS";
    CountryCode["In"] = "IN";
    CountryCode["Id"] = "ID";
    CountryCode["Ir"] = "IR";
    CountryCode["Iq"] = "IQ";
    CountryCode["Ie"] = "IE";
    CountryCode["Im"] = "IM";
    CountryCode["Il"] = "IL";
    CountryCode["It"] = "IT";
    CountryCode["Jm"] = "JM";
    CountryCode["Jp"] = "JP";
    CountryCode["Je"] = "JE";
    CountryCode["Jo"] = "JO";
    CountryCode["Kz"] = "KZ";
    CountryCode["Ke"] = "KE";
    CountryCode["Ki"] = "KI";
    CountryCode["Kw"] = "KW";
    CountryCode["Kg"] = "KG";
    CountryCode["La"] = "LA";
    CountryCode["Lv"] = "LV";
    CountryCode["Lb"] = "LB";
    CountryCode["Ls"] = "LS";
    CountryCode["Lr"] = "LR";
    CountryCode["Ly"] = "LY";
    CountryCode["Li"] = "LI";
    CountryCode["Lt"] = "LT";
    CountryCode["Lu"] = "LU";
    CountryCode["Mo"] = "MO";
    CountryCode["Mg"] = "MG";
    CountryCode["Mw"] = "MW";
    CountryCode["My"] = "MY";
    CountryCode["Mv"] = "MV";
    CountryCode["Ml"] = "ML";
    CountryCode["Mt"] = "MT";
    CountryCode["Mh"] = "MH";
    CountryCode["Mq"] = "MQ";
    CountryCode["Mr"] = "MR";
    CountryCode["Mu"] = "MU";
    CountryCode["Yt"] = "YT";
    CountryCode["Mx"] = "MX";
    CountryCode["Fm"] = "FM";
    CountryCode["Md"] = "MD";
    CountryCode["Mc"] = "MC";
    CountryCode["Mn"] = "MN";
    CountryCode["Me"] = "ME";
    CountryCode["Ms"] = "MS";
    CountryCode["Ma"] = "MA";
    CountryCode["Mz"] = "MZ";
    CountryCode["Mm"] = "MM";
    CountryCode["Na"] = "NA";
    CountryCode["Nr"] = "NR";
    CountryCode["Np"] = "NP";
    CountryCode["Nl"] = "NL";
    CountryCode["Nc"] = "NC";
    CountryCode["Nz"] = "NZ";
    CountryCode["Ni"] = "NI";
    CountryCode["Ne"] = "NE";
    CountryCode["Ng"] = "NG";
    CountryCode["Nu"] = "NU";
    CountryCode["Nf"] = "NF";
    CountryCode["Kp"] = "KP";
    CountryCode["Mk"] = "MK";
    CountryCode["Mp"] = "MP";
    CountryCode["No"] = "NO";
    CountryCode["Om"] = "OM";
    CountryCode["Pk"] = "PK";
    CountryCode["Pw"] = "PW";
    CountryCode["Ps"] = "PS";
    CountryCode["Pa"] = "PA";
    CountryCode["Pg"] = "PG";
    CountryCode["Py"] = "PY";
    CountryCode["Pe"] = "PE";
    CountryCode["Ph"] = "PH";
    CountryCode["Pn"] = "PN";
    CountryCode["Pl"] = "PL";
    CountryCode["Pt"] = "PT";
    CountryCode["Pr"] = "PR";
    CountryCode["Qa"] = "QA";
    CountryCode["Re"] = "RE";
    CountryCode["Ro"] = "RO";
    CountryCode["Ru"] = "RU";
    CountryCode["Rw"] = "RW";
    CountryCode["Bl"] = "BL";
    CountryCode["Sh"] = "SH";
    CountryCode["Kn"] = "KN";
    CountryCode["Lc"] = "LC";
    CountryCode["Mf"] = "MF";
    CountryCode["Pm"] = "PM";
    CountryCode["Vc"] = "VC";
    CountryCode["Ws"] = "WS";
    CountryCode["Sm"] = "SM";
    CountryCode["St"] = "ST";
    CountryCode["Sa"] = "SA";
    CountryCode["Sn"] = "SN";
    CountryCode["Rs"] = "RS";
    CountryCode["Sc"] = "SC";
    CountryCode["Sl"] = "SL";
    CountryCode["Sg"] = "SG";
    CountryCode["Sx"] = "SX";
    CountryCode["Sk"] = "SK";
    CountryCode["Si"] = "SI";
    CountryCode["Sb"] = "SB";
    CountryCode["So"] = "SO";
    CountryCode["Za"] = "ZA";
    CountryCode["Gs"] = "GS";
    CountryCode["Kr"] = "KR";
    CountryCode["Ss"] = "SS";
    CountryCode["Es"] = "ES";
    CountryCode["Lk"] = "LK";
    CountryCode["Sd"] = "SD";
    CountryCode["Sr"] = "SR";
    CountryCode["Sj"] = "SJ";
    CountryCode["Se"] = "SE";
    CountryCode["Ch"] = "CH";
    CountryCode["Sy"] = "SY";
    CountryCode["Tw"] = "TW";
    CountryCode["Tj"] = "TJ";
    CountryCode["Tz"] = "TZ";
    CountryCode["Th"] = "TH";
    CountryCode["Tl"] = "TL";
    CountryCode["Tg"] = "TG";
    CountryCode["Tk"] = "TK";
    CountryCode["To"] = "TO";
    CountryCode["Tt"] = "TT";
    CountryCode["Tn"] = "TN";
    CountryCode["Tr"] = "TR";
    CountryCode["Tm"] = "TM";
    CountryCode["Tc"] = "TC";
    CountryCode["Tv"] = "TV";
    CountryCode["Ug"] = "UG";
    CountryCode["Ua"] = "UA";
    CountryCode["Ae"] = "AE";
    CountryCode["Gb"] = "GB";
    CountryCode["Um"] = "UM";
    CountryCode["Us"] = "US";
    CountryCode["Uy"] = "UY";
    CountryCode["Uz"] = "UZ";
    CountryCode["Vu"] = "VU";
    CountryCode["Ve"] = "VE";
    CountryCode["Vn"] = "VN";
    CountryCode["Vg"] = "VG";
    CountryCode["Vi"] = "VI";
    CountryCode["Wf"] = "WF";
    CountryCode["Eh"] = "EH";
    CountryCode["Ye"] = "YE";
    CountryCode["Zm"] = "ZM";
    CountryCode["Zw"] = "ZW";
})(CountryCode || (CountryCode = {}));
/** An enumeration. */
var CustomerEventsEnum;
(function (CustomerEventsEnum) {
    CustomerEventsEnum["AccountCreated"] = "ACCOUNT_CREATED";
    CustomerEventsEnum["PasswordResetLinkSent"] = "PASSWORD_RESET_LINK_SENT";
    CustomerEventsEnum["PasswordReset"] = "PASSWORD_RESET";
    CustomerEventsEnum["EmailChangedRequest"] = "EMAIL_CHANGED_REQUEST";
    CustomerEventsEnum["PasswordChanged"] = "PASSWORD_CHANGED";
    CustomerEventsEnum["EmailChanged"] = "EMAIL_CHANGED";
    CustomerEventsEnum["PlacedOrder"] = "PLACED_ORDER";
    CustomerEventsEnum["NoteAddedToOrder"] = "NOTE_ADDED_TO_ORDER";
    CustomerEventsEnum["DigitalLinkDownloaded"] = "DIGITAL_LINK_DOWNLOADED";
    CustomerEventsEnum["CustomerDeleted"] = "CUSTOMER_DELETED";
    CustomerEventsEnum["NameAssigned"] = "NAME_ASSIGNED";
    CustomerEventsEnum["EmailAssigned"] = "EMAIL_ASSIGNED";
    CustomerEventsEnum["NoteAdded"] = "NOTE_ADDED";
})(CustomerEventsEnum || (CustomerEventsEnum = {}));
/** An enumeration. */
var DiscountErrorCode;
(function (DiscountErrorCode) {
    DiscountErrorCode["AlreadyExists"] = "ALREADY_EXISTS";
    DiscountErrorCode["GraphqlError"] = "GRAPHQL_ERROR";
    DiscountErrorCode["Invalid"] = "INVALID";
    DiscountErrorCode["NotFound"] = "NOT_FOUND";
    DiscountErrorCode["Required"] = "REQUIRED";
    DiscountErrorCode["Unique"] = "UNIQUE";
})(DiscountErrorCode || (DiscountErrorCode = {}));
var DiscountStatusEnum;
(function (DiscountStatusEnum) {
    DiscountStatusEnum["Active"] = "ACTIVE";
    DiscountStatusEnum["Expired"] = "EXPIRED";
    DiscountStatusEnum["Scheduled"] = "SCHEDULED";
})(DiscountStatusEnum || (DiscountStatusEnum = {}));
var DiscountValueTypeEnum;
(function (DiscountValueTypeEnum) {
    DiscountValueTypeEnum["Fixed"] = "FIXED";
    DiscountValueTypeEnum["Percentage"] = "PERCENTAGE";
})(DiscountValueTypeEnum || (DiscountValueTypeEnum = {}));
/** An enumeration. */
var ExportErrorCode;
(function (ExportErrorCode) {
    ExportErrorCode["Invalid"] = "INVALID";
    ExportErrorCode["NotFound"] = "NOT_FOUND";
    ExportErrorCode["Required"] = "REQUIRED";
})(ExportErrorCode || (ExportErrorCode = {}));
/** An enumeration. */
var ExportEventsEnum;
(function (ExportEventsEnum) {
    ExportEventsEnum["ExportPending"] = "EXPORT_PENDING";
    ExportEventsEnum["ExportSuccess"] = "EXPORT_SUCCESS";
    ExportEventsEnum["ExportFailed"] = "EXPORT_FAILED";
    ExportEventsEnum["ExportDeleted"] = "EXPORT_DELETED";
    ExportEventsEnum["ExportedFileSent"] = "EXPORTED_FILE_SENT";
    ExportEventsEnum["ExportFailedInfoSent"] = "EXPORT_FAILED_INFO_SENT";
})(ExportEventsEnum || (ExportEventsEnum = {}));
var ExportFileSortField;
(function (ExportFileSortField) {
    /** Sort export file by status. */
    ExportFileSortField["Status"] = "STATUS";
    /** Sort export file by created at. */
    ExportFileSortField["CreatedAt"] = "CREATED_AT";
    /** Sort export file by updated at. */
    ExportFileSortField["UpdatedAt"] = "UPDATED_AT";
})(ExportFileSortField || (ExportFileSortField = {}));
var ExportScope;
(function (ExportScope) {
    /** Export all products. */
    ExportScope["All"] = "ALL";
    /** Export products with given ids. */
    ExportScope["Ids"] = "IDS";
    /** Export the filtered products. */
    ExportScope["Filter"] = "FILTER";
})(ExportScope || (ExportScope = {}));
/** An enumeration. */
var FileTypesEnum;
(function (FileTypesEnum) {
    FileTypesEnum["Csv"] = "CSV";
    FileTypesEnum["Xlsx"] = "XLSX";
})(FileTypesEnum || (FileTypesEnum = {}));
/** An enumeration. */
var FulfillmentStatus;
(function (FulfillmentStatus) {
    /** Fulfilled */
    FulfillmentStatus["Fulfilled"] = "FULFILLED";
    /** Canceled */
    FulfillmentStatus["Canceled"] = "CANCELED";
})(FulfillmentStatus || (FulfillmentStatus = {}));
/** An enumeration. */
var GiftCardErrorCode;
(function (GiftCardErrorCode) {
    GiftCardErrorCode["AlreadyExists"] = "ALREADY_EXISTS";
    GiftCardErrorCode["GraphqlError"] = "GRAPHQL_ERROR";
    GiftCardErrorCode["Invalid"] = "INVALID";
    GiftCardErrorCode["NotFound"] = "NOT_FOUND";
    GiftCardErrorCode["Required"] = "REQUIRED";
    GiftCardErrorCode["Unique"] = "UNIQUE";
})(GiftCardErrorCode || (GiftCardErrorCode = {}));
/** An enumeration. */
var InvoiceErrorCode;
(function (InvoiceErrorCode) {
    InvoiceErrorCode["Required"] = "REQUIRED";
    InvoiceErrorCode["NotReady"] = "NOT_READY";
    InvoiceErrorCode["UrlNotSet"] = "URL_NOT_SET";
    InvoiceErrorCode["EmailNotSet"] = "EMAIL_NOT_SET";
    InvoiceErrorCode["NumberNotSet"] = "NUMBER_NOT_SET";
    InvoiceErrorCode["NotFound"] = "NOT_FOUND";
    InvoiceErrorCode["InvalidStatus"] = "INVALID_STATUS";
})(InvoiceErrorCode || (InvoiceErrorCode = {}));
/** An enumeration. */
var JobStatusEnum;
(function (JobStatusEnum) {
    JobStatusEnum["Pending"] = "PENDING";
    JobStatusEnum["Success"] = "SUCCESS";
    JobStatusEnum["Failed"] = "FAILED";
    JobStatusEnum["Deleted"] = "DELETED";
})(JobStatusEnum || (JobStatusEnum = {}));
/** An enumeration. */
var LanguageCodeEnum;
(function (LanguageCodeEnum) {
    LanguageCodeEnum["Ar"] = "AR";
    LanguageCodeEnum["Az"] = "AZ";
    LanguageCodeEnum["Bg"] = "BG";
    LanguageCodeEnum["Bn"] = "BN";
    LanguageCodeEnum["Ca"] = "CA";
    LanguageCodeEnum["Cs"] = "CS";
    LanguageCodeEnum["Da"] = "DA";
    LanguageCodeEnum["De"] = "DE";
    LanguageCodeEnum["El"] = "EL";
    LanguageCodeEnum["En"] = "EN";
    LanguageCodeEnum["Es"] = "ES";
    LanguageCodeEnum["EsCo"] = "ES_CO";
    LanguageCodeEnum["Et"] = "ET";
    LanguageCodeEnum["Fa"] = "FA";
    LanguageCodeEnum["Fi"] = "FI";
    LanguageCodeEnum["Fr"] = "FR";
    LanguageCodeEnum["Hi"] = "HI";
    LanguageCodeEnum["Hu"] = "HU";
    LanguageCodeEnum["Hy"] = "HY";
    LanguageCodeEnum["Id"] = "ID";
    LanguageCodeEnum["Is"] = "IS";
    LanguageCodeEnum["It"] = "IT";
    LanguageCodeEnum["Ja"] = "JA";
    LanguageCodeEnum["Ka"] = "KA";
    LanguageCodeEnum["Km"] = "KM";
    LanguageCodeEnum["Ko"] = "KO";
    LanguageCodeEnum["Lt"] = "LT";
    LanguageCodeEnum["Mn"] = "MN";
    LanguageCodeEnum["My"] = "MY";
    LanguageCodeEnum["Nb"] = "NB";
    LanguageCodeEnum["Nl"] = "NL";
    LanguageCodeEnum["Pl"] = "PL";
    LanguageCodeEnum["Pt"] = "PT";
    LanguageCodeEnum["PtBr"] = "PT_BR";
    LanguageCodeEnum["Ro"] = "RO";
    LanguageCodeEnum["Ru"] = "RU";
    LanguageCodeEnum["Sk"] = "SK";
    LanguageCodeEnum["Sl"] = "SL";
    LanguageCodeEnum["Sq"] = "SQ";
    LanguageCodeEnum["Sr"] = "SR";
    LanguageCodeEnum["Sv"] = "SV";
    LanguageCodeEnum["Sw"] = "SW";
    LanguageCodeEnum["Ta"] = "TA";
    LanguageCodeEnum["Th"] = "TH";
    LanguageCodeEnum["Tr"] = "TR";
    LanguageCodeEnum["Uk"] = "UK";
    LanguageCodeEnum["Vi"] = "VI";
    LanguageCodeEnum["ZhHans"] = "ZH_HANS";
    LanguageCodeEnum["ZhHant"] = "ZH_HANT";
})(LanguageCodeEnum || (LanguageCodeEnum = {}));
/** An enumeration. */
var MenuErrorCode;
(function (MenuErrorCode) {
    MenuErrorCode["CannotAssignNode"] = "CANNOT_ASSIGN_NODE";
    MenuErrorCode["GraphqlError"] = "GRAPHQL_ERROR";
    MenuErrorCode["Invalid"] = "INVALID";
    MenuErrorCode["InvalidMenuItem"] = "INVALID_MENU_ITEM";
    MenuErrorCode["NoMenuItemProvided"] = "NO_MENU_ITEM_PROVIDED";
    MenuErrorCode["NotFound"] = "NOT_FOUND";
    MenuErrorCode["Required"] = "REQUIRED";
    MenuErrorCode["TooManyMenuItems"] = "TOO_MANY_MENU_ITEMS";
    MenuErrorCode["Unique"] = "UNIQUE";
})(MenuErrorCode || (MenuErrorCode = {}));
var MenuItemsSortField;
(function (MenuItemsSortField) {
    /** Sort menu items by name. */
    MenuItemsSortField["Name"] = "NAME";
})(MenuItemsSortField || (MenuItemsSortField = {}));
var MenuSortField;
(function (MenuSortField) {
    /** Sort menus by name. */
    MenuSortField["Name"] = "NAME";
    /** Sort menus by items count. */
    MenuSortField["ItemsCount"] = "ITEMS_COUNT";
})(MenuSortField || (MenuSortField = {}));
/** An enumeration. */
var MetadataErrorCode;
(function (MetadataErrorCode) {
    MetadataErrorCode["GraphqlError"] = "GRAPHQL_ERROR";
    MetadataErrorCode["Invalid"] = "INVALID";
    MetadataErrorCode["NotFound"] = "NOT_FOUND";
    MetadataErrorCode["Required"] = "REQUIRED";
})(MetadataErrorCode || (MetadataErrorCode = {}));
var NavigationType;
(function (NavigationType) {
    /** Main storefront navigation. */
    NavigationType["Main"] = "MAIN";
    /** Secondary storefront navigation. */
    NavigationType["Secondary"] = "SECONDARY";
})(NavigationType || (NavigationType = {}));
var OrderAction;
(function (OrderAction) {
    /** Represents the capture action. */
    OrderAction["Capture"] = "CAPTURE";
    /** Represents a mark-as-paid action. */
    OrderAction["MarkAsPaid"] = "MARK_AS_PAID";
    /** Represents a refund action. */
    OrderAction["Refund"] = "REFUND";
    /** Represents a void action. */
    OrderAction["Void"] = "VOID";
})(OrderAction || (OrderAction = {}));
var OrderDirection;
(function (OrderDirection) {
    /** Specifies an ascending sort order. */
    OrderDirection["Asc"] = "ASC";
    /** Specifies a descending sort order. */
    OrderDirection["Desc"] = "DESC";
})(OrderDirection || (OrderDirection = {}));
/** An enumeration. */
var OrderErrorCode;
(function (OrderErrorCode) {
    OrderErrorCode["BillingAddressNotSet"] = "BILLING_ADDRESS_NOT_SET";
    OrderErrorCode["CannotCancelFulfillment"] = "CANNOT_CANCEL_FULFILLMENT";
    OrderErrorCode["CannotCancelOrder"] = "CANNOT_CANCEL_ORDER";
    OrderErrorCode["CannotDelete"] = "CANNOT_DELETE";
    OrderErrorCode["CannotRefund"] = "CANNOT_REFUND";
    OrderErrorCode["CaptureInactivePayment"] = "CAPTURE_INACTIVE_PAYMENT";
    OrderErrorCode["NotEditable"] = "NOT_EDITABLE";
    OrderErrorCode["FulfillOrderLine"] = "FULFILL_ORDER_LINE";
    OrderErrorCode["GraphqlError"] = "GRAPHQL_ERROR";
    OrderErrorCode["Invalid"] = "INVALID";
    OrderErrorCode["ProductNotPublished"] = "PRODUCT_NOT_PUBLISHED";
    OrderErrorCode["ProductUnavailableForPurchase"] = "PRODUCT_UNAVAILABLE_FOR_PURCHASE";
    OrderErrorCode["NotFound"] = "NOT_FOUND";
    OrderErrorCode["OrderNoShippingAddress"] = "ORDER_NO_SHIPPING_ADDRESS";
    OrderErrorCode["PaymentError"] = "PAYMENT_ERROR";
    OrderErrorCode["PaymentMissing"] = "PAYMENT_MISSING";
    OrderErrorCode["Required"] = "REQUIRED";
    OrderErrorCode["ShippingMethodNotApplicable"] = "SHIPPING_METHOD_NOT_APPLICABLE";
    OrderErrorCode["ShippingMethodRequired"] = "SHIPPING_METHOD_REQUIRED";
    OrderErrorCode["TaxError"] = "TAX_ERROR";
    OrderErrorCode["Unique"] = "UNIQUE";
    OrderErrorCode["VoidInactivePayment"] = "VOID_INACTIVE_PAYMENT";
    OrderErrorCode["ZeroQuantity"] = "ZERO_QUANTITY";
    OrderErrorCode["InsufficientStock"] = "INSUFFICIENT_STOCK";
    OrderErrorCode["DuplicatedInputItem"] = "DUPLICATED_INPUT_ITEM";
})(OrderErrorCode || (OrderErrorCode = {}));
/** An enumeration. */
var OrderEventsEmailsEnum;
(function (OrderEventsEmailsEnum) {
    OrderEventsEmailsEnum["PaymentConfirmation"] = "PAYMENT_CONFIRMATION";
    OrderEventsEmailsEnum["ShippingConfirmation"] = "SHIPPING_CONFIRMATION";
    OrderEventsEmailsEnum["TrackingUpdated"] = "TRACKING_UPDATED";
    OrderEventsEmailsEnum["OrderConfirmation"] = "ORDER_CONFIRMATION";
    OrderEventsEmailsEnum["OrderCancel"] = "ORDER_CANCEL";
    OrderEventsEmailsEnum["OrderRefund"] = "ORDER_REFUND";
    OrderEventsEmailsEnum["FulfillmentConfirmation"] = "FULFILLMENT_CONFIRMATION";
    OrderEventsEmailsEnum["DigitalLinks"] = "DIGITAL_LINKS";
})(OrderEventsEmailsEnum || (OrderEventsEmailsEnum = {}));
/** An enumeration. */
var OrderEventsEnum;
(function (OrderEventsEnum) {
    OrderEventsEnum["DraftCreated"] = "DRAFT_CREATED";
    OrderEventsEnum["DraftAddedProducts"] = "DRAFT_ADDED_PRODUCTS";
    OrderEventsEnum["DraftRemovedProducts"] = "DRAFT_REMOVED_PRODUCTS";
    OrderEventsEnum["Placed"] = "PLACED";
    OrderEventsEnum["PlacedFromDraft"] = "PLACED_FROM_DRAFT";
    OrderEventsEnum["OversoldItems"] = "OVERSOLD_ITEMS";
    OrderEventsEnum["Canceled"] = "CANCELED";
    OrderEventsEnum["OrderMarkedAsPaid"] = "ORDER_MARKED_AS_PAID";
    OrderEventsEnum["OrderFullyPaid"] = "ORDER_FULLY_PAID";
    OrderEventsEnum["UpdatedAddress"] = "UPDATED_ADDRESS";
    OrderEventsEnum["EmailSent"] = "EMAIL_SENT";
    OrderEventsEnum["PaymentAuthorized"] = "PAYMENT_AUTHORIZED";
    OrderEventsEnum["PaymentCaptured"] = "PAYMENT_CAPTURED";
    OrderEventsEnum["ExternalServiceNotification"] = "EXTERNAL_SERVICE_NOTIFICATION";
    OrderEventsEnum["PaymentRefunded"] = "PAYMENT_REFUNDED";
    OrderEventsEnum["PaymentVoided"] = "PAYMENT_VOIDED";
    OrderEventsEnum["PaymentFailed"] = "PAYMENT_FAILED";
    OrderEventsEnum["InvoiceRequested"] = "INVOICE_REQUESTED";
    OrderEventsEnum["InvoiceGenerated"] = "INVOICE_GENERATED";
    OrderEventsEnum["InvoiceUpdated"] = "INVOICE_UPDATED";
    OrderEventsEnum["InvoiceSent"] = "INVOICE_SENT";
    OrderEventsEnum["FulfillmentCanceled"] = "FULFILLMENT_CANCELED";
    OrderEventsEnum["FulfillmentRestockedItems"] = "FULFILLMENT_RESTOCKED_ITEMS";
    OrderEventsEnum["FulfillmentFulfilledItems"] = "FULFILLMENT_FULFILLED_ITEMS";
    OrderEventsEnum["TrackingUpdated"] = "TRACKING_UPDATED";
    OrderEventsEnum["NoteAdded"] = "NOTE_ADDED";
    OrderEventsEnum["Other"] = "OTHER";
})(OrderEventsEnum || (OrderEventsEnum = {}));
var OrderSortField;
(function (OrderSortField) {
    /** Sort orders by number. */
    OrderSortField["Number"] = "NUMBER";
    /** Sort orders by creation date. */
    OrderSortField["CreationDate"] = "CREATION_DATE";
    /** Sort orders by customer. */
    OrderSortField["Customer"] = "CUSTOMER";
    /** Sort orders by payment. */
    OrderSortField["Payment"] = "PAYMENT";
    /** Sort orders by fulfillment status. */
    OrderSortField["FulfillmentStatus"] = "FULFILLMENT_STATUS";
    /** Sort orders by total. */
    OrderSortField["Total"] = "TOTAL";
})(OrderSortField || (OrderSortField = {}));
/** An enumeration. */
var OrderStatus;
(function (OrderStatus) {
    /** Draft */
    OrderStatus["Draft"] = "DRAFT";
    /** Unfulfilled */
    OrderStatus["Unfulfilled"] = "UNFULFILLED";
    /** Partially fulfilled */
    OrderStatus["PartiallyFulfilled"] = "PARTIALLY_FULFILLED";
    /** Fulfilled */
    OrderStatus["Fulfilled"] = "FULFILLED";
    /** Canceled */
    OrderStatus["Canceled"] = "CANCELED";
})(OrderStatus || (OrderStatus = {}));
var OrderStatusFilter;
(function (OrderStatusFilter) {
    OrderStatusFilter["ReadyToFulfill"] = "READY_TO_FULFILL";
    OrderStatusFilter["ReadyToCapture"] = "READY_TO_CAPTURE";
    OrderStatusFilter["Unfulfilled"] = "UNFULFILLED";
    OrderStatusFilter["PartiallyFulfilled"] = "PARTIALLY_FULFILLED";
    OrderStatusFilter["Fulfilled"] = "FULFILLED";
    OrderStatusFilter["Canceled"] = "CANCELED";
})(OrderStatusFilter || (OrderStatusFilter = {}));
/** An enumeration. */
var PageErrorCode;
(function (PageErrorCode) {
    PageErrorCode["GraphqlError"] = "GRAPHQL_ERROR";
    PageErrorCode["Invalid"] = "INVALID";
    PageErrorCode["NotFound"] = "NOT_FOUND";
    PageErrorCode["Required"] = "REQUIRED";
    PageErrorCode["Unique"] = "UNIQUE";
})(PageErrorCode || (PageErrorCode = {}));
var PageSortField;
(function (PageSortField) {
    /** Sort pages by title. */
    PageSortField["Title"] = "TITLE";
    /** Sort pages by slug. */
    PageSortField["Slug"] = "SLUG";
    /** Sort pages by visibility. */
    PageSortField["Visibility"] = "VISIBILITY";
    /** Sort pages by creation date. */
    PageSortField["CreationDate"] = "CREATION_DATE";
    /** Sort pages by publication date. */
    PageSortField["PublicationDate"] = "PUBLICATION_DATE";
})(PageSortField || (PageSortField = {}));
/** An enumeration. */
var PaymentChargeStatusEnum;
(function (PaymentChargeStatusEnum) {
    PaymentChargeStatusEnum["NotCharged"] = "NOT_CHARGED";
    PaymentChargeStatusEnum["Pending"] = "PENDING";
    PaymentChargeStatusEnum["PartiallyCharged"] = "PARTIALLY_CHARGED";
    PaymentChargeStatusEnum["FullyCharged"] = "FULLY_CHARGED";
    PaymentChargeStatusEnum["PartiallyRefunded"] = "PARTIALLY_REFUNDED";
    PaymentChargeStatusEnum["FullyRefunded"] = "FULLY_REFUNDED";
    PaymentChargeStatusEnum["Refused"] = "REFUSED";
    PaymentChargeStatusEnum["Cancelled"] = "CANCELLED";
})(PaymentChargeStatusEnum || (PaymentChargeStatusEnum = {}));
/** An enumeration. */
var PaymentErrorCode;
(function (PaymentErrorCode) {
    PaymentErrorCode["BillingAddressNotSet"] = "BILLING_ADDRESS_NOT_SET";
    PaymentErrorCode["GraphqlError"] = "GRAPHQL_ERROR";
    PaymentErrorCode["Invalid"] = "INVALID";
    PaymentErrorCode["NotFound"] = "NOT_FOUND";
    PaymentErrorCode["Required"] = "REQUIRED";
    PaymentErrorCode["Unique"] = "UNIQUE";
    PaymentErrorCode["PartialPaymentNotAllowed"] = "PARTIAL_PAYMENT_NOT_ALLOWED";
    PaymentErrorCode["ShippingAddressNotSet"] = "SHIPPING_ADDRESS_NOT_SET";
    PaymentErrorCode["InvalidShippingMethod"] = "INVALID_SHIPPING_METHOD";
    PaymentErrorCode["ShippingMethodNotSet"] = "SHIPPING_METHOD_NOT_SET";
    PaymentErrorCode["PaymentError"] = "PAYMENT_ERROR";
    PaymentErrorCode["NotSupportedGateway"] = "NOT_SUPPORTED_GATEWAY";
})(PaymentErrorCode || (PaymentErrorCode = {}));
/** An enumeration. */
var PermissionEnum;
(function (PermissionEnum) {
    PermissionEnum["ManageUsers"] = "MANAGE_USERS";
    PermissionEnum["ManageStaff"] = "MANAGE_STAFF";
    PermissionEnum["ManageServiceAccounts"] = "MANAGE_SERVICE_ACCOUNTS";
    PermissionEnum["ManageApps"] = "MANAGE_APPS";
    PermissionEnum["ManageDiscounts"] = "MANAGE_DISCOUNTS";
    PermissionEnum["ManagePlugins"] = "MANAGE_PLUGINS";
    PermissionEnum["ManageGiftCard"] = "MANAGE_GIFT_CARD";
    PermissionEnum["ManageMenus"] = "MANAGE_MENUS";
    PermissionEnum["ManageOrders"] = "MANAGE_ORDERS";
    PermissionEnum["ManagePages"] = "MANAGE_PAGES";
    PermissionEnum["ManageProducts"] = "MANAGE_PRODUCTS";
    PermissionEnum["ManageProductTypesAndAttributes"] = "MANAGE_PRODUCT_TYPES_AND_ATTRIBUTES";
    PermissionEnum["ManageShipping"] = "MANAGE_SHIPPING";
    PermissionEnum["ManageSettings"] = "MANAGE_SETTINGS";
    PermissionEnum["ManageTranslations"] = "MANAGE_TRANSLATIONS";
    PermissionEnum["ManageCheckouts"] = "MANAGE_CHECKOUTS";
})(PermissionEnum || (PermissionEnum = {}));
/** An enumeration. */
var PermissionGroupErrorCode;
(function (PermissionGroupErrorCode) {
    PermissionGroupErrorCode["AssignNonStaffMember"] = "ASSIGN_NON_STAFF_MEMBER";
    PermissionGroupErrorCode["DuplicatedInputItem"] = "DUPLICATED_INPUT_ITEM";
    PermissionGroupErrorCode["CannotRemoveFromLastGroup"] = "CANNOT_REMOVE_FROM_LAST_GROUP";
    PermissionGroupErrorCode["LeftNotManageablePermission"] = "LEFT_NOT_MANAGEABLE_PERMISSION";
    PermissionGroupErrorCode["OutOfScopePermission"] = "OUT_OF_SCOPE_PERMISSION";
    PermissionGroupErrorCode["OutOfScopeUser"] = "OUT_OF_SCOPE_USER";
    PermissionGroupErrorCode["Required"] = "REQUIRED";
    PermissionGroupErrorCode["Unique"] = "UNIQUE";
})(PermissionGroupErrorCode || (PermissionGroupErrorCode = {}));
var PermissionGroupSortField;
(function (PermissionGroupSortField) {
    /** Sort permission group accounts by name. */
    PermissionGroupSortField["Name"] = "NAME";
})(PermissionGroupSortField || (PermissionGroupSortField = {}));
/** An enumeration. */
var PluginErrorCode;
(function (PluginErrorCode) {
    PluginErrorCode["GraphqlError"] = "GRAPHQL_ERROR";
    PluginErrorCode["Invalid"] = "INVALID";
    PluginErrorCode["PluginMisconfigured"] = "PLUGIN_MISCONFIGURED";
    PluginErrorCode["NotFound"] = "NOT_FOUND";
    PluginErrorCode["Required"] = "REQUIRED";
    PluginErrorCode["Unique"] = "UNIQUE";
})(PluginErrorCode || (PluginErrorCode = {}));
var PluginSortField;
(function (PluginSortField) {
    PluginSortField["Name"] = "NAME";
    PluginSortField["IsActive"] = "IS_ACTIVE";
})(PluginSortField || (PluginSortField = {}));
/** An enumeration. */
var ProductErrorCode;
(function (ProductErrorCode) {
    ProductErrorCode["AlreadyExists"] = "ALREADY_EXISTS";
    ProductErrorCode["AttributeAlreadyAssigned"] = "ATTRIBUTE_ALREADY_ASSIGNED";
    ProductErrorCode["AttributeCannotBeAssigned"] = "ATTRIBUTE_CANNOT_BE_ASSIGNED";
    ProductErrorCode["AttributeVariantsDisabled"] = "ATTRIBUTE_VARIANTS_DISABLED";
    ProductErrorCode["DuplicatedInputItem"] = "DUPLICATED_INPUT_ITEM";
    ProductErrorCode["GraphqlError"] = "GRAPHQL_ERROR";
    ProductErrorCode["Invalid"] = "INVALID";
    ProductErrorCode["NotProductsImage"] = "NOT_PRODUCTS_IMAGE";
    ProductErrorCode["NotProductsVariant"] = "NOT_PRODUCTS_VARIANT";
    ProductErrorCode["NotFound"] = "NOT_FOUND";
    ProductErrorCode["Required"] = "REQUIRED";
    ProductErrorCode["Unique"] = "UNIQUE";
    ProductErrorCode["VariantNoDigitalContent"] = "VARIANT_NO_DIGITAL_CONTENT";
})(ProductErrorCode || (ProductErrorCode = {}));
var ProductFieldEnum;
(function (ProductFieldEnum) {
    ProductFieldEnum["Name"] = "NAME";
    ProductFieldEnum["Description"] = "DESCRIPTION";
    ProductFieldEnum["ProductType"] = "PRODUCT_TYPE";
    ProductFieldEnum["Category"] = "CATEGORY";
    ProductFieldEnum["Visible"] = "VISIBLE";
    ProductFieldEnum["AvailableForPurchase"] = "AVAILABLE_FOR_PURCHASE";
    ProductFieldEnum["Searchable"] = "SEARCHABLE";
    ProductFieldEnum["ProductWeight"] = "PRODUCT_WEIGHT";
    ProductFieldEnum["Collections"] = "COLLECTIONS";
    ProductFieldEnum["ChargeTaxes"] = "CHARGE_TAXES";
    ProductFieldEnum["ProductImages"] = "PRODUCT_IMAGES";
    ProductFieldEnum["VariantSku"] = "VARIANT_SKU";
    ProductFieldEnum["VariantPrice"] = "VARIANT_PRICE";
    ProductFieldEnum["CostPrice"] = "COST_PRICE";
    ProductFieldEnum["VariantWeight"] = "VARIANT_WEIGHT";
    ProductFieldEnum["VariantImages"] = "VARIANT_IMAGES";
})(ProductFieldEnum || (ProductFieldEnum = {}));
var ProductOrderField;
(function (ProductOrderField) {
    /** Sort products by name. */
    ProductOrderField["Name"] = "NAME";
    /** Sort products by price. */
    ProductOrderField["Price"] = "PRICE";
    /** Sort products by a minimal price of a product's variant. */
    ProductOrderField["MinimalPrice"] = "MINIMAL_PRICE";
    /** Sort products by update date. */
    ProductOrderField["Date"] = "DATE";
    /** Sort products by type. */
    ProductOrderField["Type"] = "TYPE";
    /** Sort products by publication status. */
    ProductOrderField["Published"] = "PUBLISHED";
    /** Sort products by publication date. */
    ProductOrderField["PublicationDate"] = "PUBLICATION_DATE";
    /** Sort products by collection. Note: This option is available only for the `Collection.products` query. */
    ProductOrderField["Collection"] = "COLLECTION";
})(ProductOrderField || (ProductOrderField = {}));
var ProductTypeConfigurable;
(function (ProductTypeConfigurable) {
    ProductTypeConfigurable["Configurable"] = "CONFIGURABLE";
    ProductTypeConfigurable["Simple"] = "SIMPLE";
})(ProductTypeConfigurable || (ProductTypeConfigurable = {}));
var ProductTypeEnum;
(function (ProductTypeEnum) {
    ProductTypeEnum["Digital"] = "DIGITAL";
    ProductTypeEnum["Shippable"] = "SHIPPABLE";
})(ProductTypeEnum || (ProductTypeEnum = {}));
var ProductTypeSortField;
(function (ProductTypeSortField) {
    /** Sort products by name. */
    ProductTypeSortField["Name"] = "NAME";
    /** Sort products by type. */
    ProductTypeSortField["Digital"] = "DIGITAL";
    /** Sort products by shipping. */
    ProductTypeSortField["ShippingRequired"] = "SHIPPING_REQUIRED";
})(ProductTypeSortField || (ProductTypeSortField = {}));
var ReportingPeriod;
(function (ReportingPeriod) {
    ReportingPeriod["Today"] = "TODAY";
    ReportingPeriod["ThisMonth"] = "THIS_MONTH";
})(ReportingPeriod || (ReportingPeriod = {}));
var SaleSortField;
(function (SaleSortField) {
    /** Sort sales by name. */
    SaleSortField["Name"] = "NAME";
    /** Sort sales by start date. */
    SaleSortField["StartDate"] = "START_DATE";
    /** Sort sales by end date. */
    SaleSortField["EndDate"] = "END_DATE";
    /** Sort sales by value. */
    SaleSortField["Value"] = "VALUE";
    /** Sort sales by type. */
    SaleSortField["Type"] = "TYPE";
})(SaleSortField || (SaleSortField = {}));
/** An enumeration. */
var SaleType;
(function (SaleType) {
    /** USD */
    SaleType["Fixed"] = "FIXED";
    /** % */
    SaleType["Percentage"] = "PERCENTAGE";
})(SaleType || (SaleType = {}));
var ServiceAccountSortField;
(function (ServiceAccountSortField) {
    /** Sort service accounts by name. */
    ServiceAccountSortField["Name"] = "NAME";
    /** Sort service accounts by creation date. */
    ServiceAccountSortField["CreationDate"] = "CREATION_DATE";
})(ServiceAccountSortField || (ServiceAccountSortField = {}));
/** An enumeration. */
var ShippingErrorCode;
(function (ShippingErrorCode) {
    ShippingErrorCode["AlreadyExists"] = "ALREADY_EXISTS";
    ShippingErrorCode["GraphqlError"] = "GRAPHQL_ERROR";
    ShippingErrorCode["Invalid"] = "INVALID";
    ShippingErrorCode["MaxLessThanMin"] = "MAX_LESS_THAN_MIN";
    ShippingErrorCode["NotFound"] = "NOT_FOUND";
    ShippingErrorCode["Required"] = "REQUIRED";
    ShippingErrorCode["Unique"] = "UNIQUE";
    ShippingErrorCode["DuplicatedInputItem"] = "DUPLICATED_INPUT_ITEM";
})(ShippingErrorCode || (ShippingErrorCode = {}));
/** An enumeration. */
var ShippingMethodTypeEnum;
(function (ShippingMethodTypeEnum) {
    ShippingMethodTypeEnum["Price"] = "PRICE";
    ShippingMethodTypeEnum["Weight"] = "WEIGHT";
})(ShippingMethodTypeEnum || (ShippingMethodTypeEnum = {}));
/** An enumeration. */
var ShopErrorCode;
(function (ShopErrorCode) {
    ShopErrorCode["AlreadyExists"] = "ALREADY_EXISTS";
    ShopErrorCode["CannotFetchTaxRates"] = "CANNOT_FETCH_TAX_RATES";
    ShopErrorCode["GraphqlError"] = "GRAPHQL_ERROR";
    ShopErrorCode["Invalid"] = "INVALID";
    ShopErrorCode["NotFound"] = "NOT_FOUND";
    ShopErrorCode["Required"] = "REQUIRED";
    ShopErrorCode["Unique"] = "UNIQUE";
})(ShopErrorCode || (ShopErrorCode = {}));
var StaffMemberStatus;
(function (StaffMemberStatus) {
    StaffMemberStatus["Active"] = "ACTIVE";
    StaffMemberStatus["Deactivated"] = "DEACTIVATED";
})(StaffMemberStatus || (StaffMemberStatus = {}));
var StockAvailability;
(function (StockAvailability) {
    StockAvailability["InStock"] = "IN_STOCK";
    StockAvailability["OutOfStock"] = "OUT_OF_STOCK";
})(StockAvailability || (StockAvailability = {}));
/** An enumeration. */
var StockErrorCode;
(function (StockErrorCode) {
    StockErrorCode["AlreadyExists"] = "ALREADY_EXISTS";
    StockErrorCode["GraphqlError"] = "GRAPHQL_ERROR";
    StockErrorCode["Invalid"] = "INVALID";
    StockErrorCode["NotFound"] = "NOT_FOUND";
    StockErrorCode["Required"] = "REQUIRED";
    StockErrorCode["Unique"] = "UNIQUE";
})(StockErrorCode || (StockErrorCode = {}));
/** An enumeration. */
var TaxRateType;
(function (TaxRateType) {
    TaxRateType["Accommodation"] = "ACCOMMODATION";
    TaxRateType["AdmissionToCulturalEvents"] = "ADMISSION_TO_CULTURAL_EVENTS";
    TaxRateType["AdmissionToEntertainmentEvents"] = "ADMISSION_TO_ENTERTAINMENT_EVENTS";
    TaxRateType["AdmissionToSportingEvents"] = "ADMISSION_TO_SPORTING_EVENTS";
    TaxRateType["Advertising"] = "ADVERTISING";
    TaxRateType["AgriculturalSupplies"] = "AGRICULTURAL_SUPPLIES";
    TaxRateType["BabyFoodstuffs"] = "BABY_FOODSTUFFS";
    TaxRateType["Bikes"] = "BIKES";
    TaxRateType["Books"] = "BOOKS";
    TaxRateType["ChildrensClothing"] = "CHILDRENS_CLOTHING";
    TaxRateType["DomesticFuel"] = "DOMESTIC_FUEL";
    TaxRateType["DomesticServices"] = "DOMESTIC_SERVICES";
    TaxRateType["EBooks"] = "E_BOOKS";
    TaxRateType["Foodstuffs"] = "FOODSTUFFS";
    TaxRateType["Hotels"] = "HOTELS";
    TaxRateType["Medical"] = "MEDICAL";
    TaxRateType["Newspapers"] = "NEWSPAPERS";
    TaxRateType["PassengerTransport"] = "PASSENGER_TRANSPORT";
    TaxRateType["Pharmaceuticals"] = "PHARMACEUTICALS";
    TaxRateType["PropertyRenovations"] = "PROPERTY_RENOVATIONS";
    TaxRateType["Restaurants"] = "RESTAURANTS";
    TaxRateType["SocialHousing"] = "SOCIAL_HOUSING";
    TaxRateType["Standard"] = "STANDARD";
    TaxRateType["Water"] = "WATER";
    TaxRateType["Wine"] = "WINE";
})(TaxRateType || (TaxRateType = {}));
/** An enumeration. */
var TransactionError;
(function (TransactionError) {
    /** incorrect_number */
    TransactionError["TransactionerrorIncorrectNumber"] = "TRANSACTIONERROR_INCORRECT_NUMBER";
    /** invalid_number */
    TransactionError["TransactionerrorInvalidNumber"] = "TRANSACTIONERROR_INVALID_NUMBER";
    /** incorrect_cvv */
    TransactionError["TransactionerrorIncorrectCvv"] = "TRANSACTIONERROR_INCORRECT_CVV";
    /** invalid_cvv */
    TransactionError["TransactionerrorInvalidCvv"] = "TRANSACTIONERROR_INVALID_CVV";
    /** incorrect_zip */
    TransactionError["TransactionerrorIncorrectZip"] = "TRANSACTIONERROR_INCORRECT_ZIP";
    /** incorrect_address */
    TransactionError["TransactionerrorIncorrectAddress"] = "TRANSACTIONERROR_INCORRECT_ADDRESS";
    /** invalid_expiry_date */
    TransactionError["TransactionerrorInvalidExpiryDate"] = "TRANSACTIONERROR_INVALID_EXPIRY_DATE";
    /** expired */
    TransactionError["TransactionerrorExpired"] = "TRANSACTIONERROR_EXPIRED";
    /** processing_error */
    TransactionError["TransactionerrorProcessingError"] = "TRANSACTIONERROR_PROCESSING_ERROR";
    /** declined */
    TransactionError["TransactionerrorDeclined"] = "TRANSACTIONERROR_DECLINED";
})(TransactionError || (TransactionError = {}));
/** An enumeration. */
var TransactionKind;
(function (TransactionKind) {
    /** Authorization */
    TransactionKind["Auth"] = "AUTH";
    /** Pending */
    TransactionKind["Pending"] = "PENDING";
    /** Action to confirm */
    TransactionKind["ActionToConfirm"] = "ACTION_TO_CONFIRM";
    /** Refund */
    TransactionKind["Refund"] = "REFUND";
    /** Refund in progress */
    TransactionKind["RefundOngoing"] = "REFUND_ONGOING";
    /** Capture */
    TransactionKind["Capture"] = "CAPTURE";
    /** Void */
    TransactionKind["Void"] = "VOID";
    /** Confirm */
    TransactionKind["Confirm"] = "CONFIRM";
    /** Cancel */
    TransactionKind["Cancel"] = "CANCEL";
})(TransactionKind || (TransactionKind = {}));
var TranslatableKinds;
(function (TranslatableKinds) {
    TranslatableKinds["Attribute"] = "ATTRIBUTE";
    TranslatableKinds["AttributeValue"] = "ATTRIBUTE_VALUE";
    TranslatableKinds["Category"] = "CATEGORY";
    TranslatableKinds["Collection"] = "COLLECTION";
    TranslatableKinds["MenuItem"] = "MENU_ITEM";
    TranslatableKinds["Page"] = "PAGE";
    TranslatableKinds["Product"] = "PRODUCT";
    TranslatableKinds["Sale"] = "SALE";
    TranslatableKinds["ShippingMethod"] = "SHIPPING_METHOD";
    TranslatableKinds["Variant"] = "VARIANT";
    TranslatableKinds["Voucher"] = "VOUCHER";
})(TranslatableKinds || (TranslatableKinds = {}));
/** An enumeration. */
var TranslationErrorCode;
(function (TranslationErrorCode) {
    TranslationErrorCode["GraphqlError"] = "GRAPHQL_ERROR";
    TranslationErrorCode["NotFound"] = "NOT_FOUND";
    TranslationErrorCode["Required"] = "REQUIRED";
})(TranslationErrorCode || (TranslationErrorCode = {}));
var UserSortField;
(function (UserSortField) {
    /** Sort users by first name. */
    UserSortField["FirstName"] = "FIRST_NAME";
    /** Sort users by last name. */
    UserSortField["LastName"] = "LAST_NAME";
    /** Sort users by email. */
    UserSortField["Email"] = "EMAIL";
    /** Sort users by order count. */
    UserSortField["OrderCount"] = "ORDER_COUNT";
})(UserSortField || (UserSortField = {}));
var VoucherDiscountType;
(function (VoucherDiscountType) {
    VoucherDiscountType["Fixed"] = "FIXED";
    VoucherDiscountType["Percentage"] = "PERCENTAGE";
    VoucherDiscountType["Shipping"] = "SHIPPING";
})(VoucherDiscountType || (VoucherDiscountType = {}));
var VoucherSortField;
(function (VoucherSortField) {
    /** Sort vouchers by code. */
    VoucherSortField["Code"] = "CODE";
    /** Sort vouchers by start date. */
    VoucherSortField["StartDate"] = "START_DATE";
    /** Sort vouchers by end date. */
    VoucherSortField["EndDate"] = "END_DATE";
    /** Sort vouchers by value. */
    VoucherSortField["Value"] = "VALUE";
    /** Sort vouchers by type. */
    VoucherSortField["Type"] = "TYPE";
    /** Sort vouchers by usage limit. */
    VoucherSortField["UsageLimit"] = "USAGE_LIMIT";
    /** Sort vouchers by minimum spent amount. */
    VoucherSortField["MinimumSpentAmount"] = "MINIMUM_SPENT_AMOUNT";
})(VoucherSortField || (VoucherSortField = {}));
var VoucherTypeEnum;
(function (VoucherTypeEnum) {
    VoucherTypeEnum["Shipping"] = "SHIPPING";
    VoucherTypeEnum["EntireOrder"] = "ENTIRE_ORDER";
    VoucherTypeEnum["SpecificProduct"] = "SPECIFIC_PRODUCT";
})(VoucherTypeEnum || (VoucherTypeEnum = {}));
/** An enumeration. */
var WarehouseErrorCode;
(function (WarehouseErrorCode) {
    WarehouseErrorCode["AlreadyExists"] = "ALREADY_EXISTS";
    WarehouseErrorCode["GraphqlError"] = "GRAPHQL_ERROR";
    WarehouseErrorCode["Invalid"] = "INVALID";
    WarehouseErrorCode["NotFound"] = "NOT_FOUND";
    WarehouseErrorCode["Required"] = "REQUIRED";
    WarehouseErrorCode["Unique"] = "UNIQUE";
})(WarehouseErrorCode || (WarehouseErrorCode = {}));
var WarehouseSortField;
(function (WarehouseSortField) {
    /** Sort warehouses by name. */
    WarehouseSortField["Name"] = "NAME";
})(WarehouseSortField || (WarehouseSortField = {}));
/** An enumeration. */
var WebhookErrorCode;
(function (WebhookErrorCode) {
    WebhookErrorCode["GraphqlError"] = "GRAPHQL_ERROR";
    WebhookErrorCode["Invalid"] = "INVALID";
    WebhookErrorCode["NotFound"] = "NOT_FOUND";
    WebhookErrorCode["Required"] = "REQUIRED";
    WebhookErrorCode["Unique"] = "UNIQUE";
})(WebhookErrorCode || (WebhookErrorCode = {}));
/** An enumeration. */
var WebhookEventTypeEnum;
(function (WebhookEventTypeEnum) {
    WebhookEventTypeEnum["AnyEvents"] = "ANY_EVENTS";
    WebhookEventTypeEnum["OrderCreated"] = "ORDER_CREATED";
    WebhookEventTypeEnum["OrderFullyPaid"] = "ORDER_FULLY_PAID";
    WebhookEventTypeEnum["OrderUpdated"] = "ORDER_UPDATED";
    WebhookEventTypeEnum["OrderCancelled"] = "ORDER_CANCELLED";
    WebhookEventTypeEnum["OrderFulfilled"] = "ORDER_FULFILLED";
    WebhookEventTypeEnum["InvoiceRequested"] = "INVOICE_REQUESTED";
    WebhookEventTypeEnum["InvoiceDeleted"] = "INVOICE_DELETED";
    WebhookEventTypeEnum["InvoiceSent"] = "INVOICE_SENT";
    WebhookEventTypeEnum["CustomerCreated"] = "CUSTOMER_CREATED";
    WebhookEventTypeEnum["ProductCreated"] = "PRODUCT_CREATED";
    WebhookEventTypeEnum["ProductUpdated"] = "PRODUCT_UPDATED";
    WebhookEventTypeEnum["CheckoutQuantityChanged"] = "CHECKOUT_QUANTITY_CHANGED";
    WebhookEventTypeEnum["CheckoutCreated"] = "CHECKOUT_CREATED";
    WebhookEventTypeEnum["CheckoutUpdated"] = "CHECKOUT_UPDATED";
    WebhookEventTypeEnum["FulfillmentCreated"] = "FULFILLMENT_CREATED";
})(WebhookEventTypeEnum || (WebhookEventTypeEnum = {}));
/** An enumeration. */
var WebhookSampleEventTypeEnum;
(function (WebhookSampleEventTypeEnum) {
    WebhookSampleEventTypeEnum["OrderCreated"] = "ORDER_CREATED";
    WebhookSampleEventTypeEnum["OrderFullyPaid"] = "ORDER_FULLY_PAID";
    WebhookSampleEventTypeEnum["OrderUpdated"] = "ORDER_UPDATED";
    WebhookSampleEventTypeEnum["OrderCancelled"] = "ORDER_CANCELLED";
    WebhookSampleEventTypeEnum["OrderFulfilled"] = "ORDER_FULFILLED";
    WebhookSampleEventTypeEnum["InvoiceRequested"] = "INVOICE_REQUESTED";
    WebhookSampleEventTypeEnum["InvoiceDeleted"] = "INVOICE_DELETED";
    WebhookSampleEventTypeEnum["InvoiceSent"] = "INVOICE_SENT";
    WebhookSampleEventTypeEnum["CustomerCreated"] = "CUSTOMER_CREATED";
    WebhookSampleEventTypeEnum["ProductCreated"] = "PRODUCT_CREATED";
    WebhookSampleEventTypeEnum["ProductUpdated"] = "PRODUCT_UPDATED";
    WebhookSampleEventTypeEnum["CheckoutQuantityChanged"] = "CHECKOUT_QUANTITY_CHANGED";
    WebhookSampleEventTypeEnum["CheckoutCreated"] = "CHECKOUT_CREATED";
    WebhookSampleEventTypeEnum["CheckoutUpdated"] = "CHECKOUT_UPDATED";
    WebhookSampleEventTypeEnum["FulfillmentCreated"] = "FULFILLMENT_CREATED";
})(WebhookSampleEventTypeEnum || (WebhookSampleEventTypeEnum = {}));
var WebhookSortField;
(function (WebhookSortField) {
    /** Sort webhooks by name. */
    WebhookSortField["Name"] = "NAME";
    /** Sort webhooks by service account. */
    WebhookSortField["ServiceAccount"] = "SERVICE_ACCOUNT";
    /** Sort webhooks by target url. */
    WebhookSortField["TargetUrl"] = "TARGET_URL";
    /** Sort webhooks by service account. */
    WebhookSortField["App"] = "APP";
})(WebhookSortField || (WebhookSortField = {}));
/** An enumeration. */
var WeightUnitsEnum;
(function (WeightUnitsEnum) {
    WeightUnitsEnum["Kg"] = "KG";
    WeightUnitsEnum["Lb"] = "LB";
    WeightUnitsEnum["Oz"] = "OZ";
    WeightUnitsEnum["G"] = "G";
})(WeightUnitsEnum || (WeightUnitsEnum = {}));

export { AccountErrorCode, AddressTypeEnum, AppErrorCode, AppSortField, AppTypeEnum, AttributeInputTypeEnum, AttributeSortField, AttributeTypeEnum, AttributeValueType, AuthorizationKeyType, CategorySortField, CheckoutErrorCode, CollectionPublished, CollectionSortField, ConfigurationTypeFieldEnum, CountryCode, CustomerEventsEnum, DiscountErrorCode, DiscountStatusEnum, DiscountValueTypeEnum, ExportErrorCode, ExportEventsEnum, ExportFileSortField, ExportScope, FileTypesEnum, FulfillmentStatus, GiftCardErrorCode, InvoiceErrorCode, JobStatusEnum, LanguageCodeEnum, MenuErrorCode, MenuItemsSortField, MenuSortField, MetadataErrorCode, NavigationType, OrderAction, OrderDirection, OrderErrorCode, OrderEventsEmailsEnum, OrderEventsEnum, OrderSortField, OrderStatus, OrderStatusFilter, PageErrorCode, PageSortField, PaymentChargeStatusEnum, PaymentErrorCode, PermissionEnum, PermissionGroupErrorCode, PermissionGroupSortField, PluginErrorCode, PluginSortField, ProductErrorCode, ProductFieldEnum, ProductOrderField, ProductTypeConfigurable, ProductTypeEnum, ProductTypeSortField, ReportingPeriod, SaleSortField, SaleType, ServiceAccountSortField, ShippingErrorCode, ShippingMethodTypeEnum, ShopErrorCode, StaffMemberStatus, StockAvailability, StockErrorCode, TaxRateType, TransactionError, TransactionKind, TranslatableKinds, TranslationErrorCode, UserSortField, VoucherDiscountType, VoucherSortField, VoucherTypeEnum, WarehouseErrorCode, WarehouseSortField, WebhookErrorCode, WebhookEventTypeEnum, WebhookSampleEventTypeEnum, WebhookSortField, WeightUnitsEnum };
//# sourceMappingURL=index.es.js.map
